import Image from "next/image";
import Link from "next/link";

export interface ExpressionSetInfo {
  id: number;
  name: string;
  description: string;
  expression_count: number;
}

export function ExpressionSetInfo({
  id,
  name,
  description,
  expression_count,
}: ExpressionSetInfo) {
  return (
    <section>
      <h2 className="content-row margin-small">
        <span className="text-title grow">{name}</span>
        <Link
          href={{
            pathname: "expression-set/settings",
            query: {
              "set-id": id,
            },
          }}
          passHref
        >
          <a className="icon-button">
            <Image
              src="/icons/settings.svg"
              width="24"
              height="24"
              alt="settings"
            />
          </a>
        </Link>
      </h2>
      <span className="content-row text-meta margin-small">
        {expression_count} expression(s)
      </span>
      <p className="content-row text-details margin-paragraph">{description}</p>
    </section>
  );
}
